CVE-2018-8754

NameCVE-2018-8754
Description** DISPUTED ** The libevt_record_values_read_event() function in libevt_record_values.c in libevt before 2018-03-17 does not properly check for out-of-bounds values of user SID data size, strings size, or data size. NOTE: the vendor has disputed this as described in libyal/libevt issue 5 on GitHub.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4160-1
NVD severitylow
Debian Bugs893431

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libevt (PTS)stretch (security), stretch20170120-1+deb9u1fixed
buster20181227-1fixed
bullseye, sid20181227-1.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libevtsource(unstable)20180317-1893431
libevtsourcestretch20170120-1+deb9u1DSA-4160-1

Notes

https://github.com/libyal/libevt/commit/444ca3ce7853538c577e0ec3f6146d2d65780734
Impact limited to OOB read, not write

Search for package or bug name: Reporting problems